Bug 924182 - RFE: Configure mount point dialog redesign
RFE: Configure mount point dialog redesign
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-03-21 06:42 EDT by Martin Banas
Modified: 2014-09-04 13:28 EDT (History)
7 users (show)

See Also:
Fixed In Version: anaconda-21.44-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-04 13:28:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
current_look.png (77.11 KB, image/png)
2013-03-21 06:42 EDT, Martin Banas
no flags Details
proposed_look.png (80.95 KB, image/png)
2013-03-21 06:43 EDT, Martin Banas
no flags Details

  None (edit)
Description Martin Banas 2013-03-21 06:42:30 EDT
Description of problem:
I have some ideas for configure mount point dialog. 

Version-Release number of selected component (if applicable):
anaconda-19.12-1
anaconda-19.12-1.boot.iso

How reproducible:
always

Steps to Reproduce:
1. Go to partitioning spoke, create a partition and click on configure mount point button
  

Actual results:
1. The dialog is too small. If I have 3 or more disks, the scrollbar appears.
2. The scrollbar scrolls not only actual disks, but also the header of the table. 
3. I don't think that selecting the disks using CTRL is the best option. Let's say I'm selecting 20 disks,
and when selecting disk 14, I by mistake don't hold CTRL.. I must then go and start selecting it again
4. I know that all disks are selected by default, still I would like to see there some option to select
all disks.

Expected results:
1. Would it be possible to display bigger window? There's a plenty space and I don't see any reason why this dialog should be so small
2. Scrollbar should scroll only the disks so that user still see the table header.
3. Selecting the disks by using CTRL is nice, but I would welcome more traditional way, for example using checkboxes. (screenshot attached)
4. I would like to see something similer like it was in old anaconda in advanced partitioning (screenshot attached)

Additional info:
Let's discuss all the possibilities..
Comment 1 Martin Banas 2013-03-21 06:42:58 EDT
Created attachment 713735 [details]
current_look.png
Comment 2 Martin Banas 2013-03-21 06:43:03 EDT
Created attachment 713736 [details]
proposed_look.png
Comment 3 David Shea 2014-06-20 14:38:29 EDT
Posted patches that directly address 1 & 2. For 3 & 4, I dunno, I think the checkbox makes it look too cluttered. I turned on rubber-banding on the TreeView to make it possible to select several (or all) disks with the mouse.

Note You need to log in before you can comment on or make changes to this bug.